<?php
/** 
 * @package WordPress
 * @subpackage Campoal
 */

/**
 * Add custom colors css to enqueue style theme
 *
 * @since Campoal 1.9.9
 */
if( !function_exists('conikal_custom_colors_css') ): 
    function conikal_custom_colors_css() {
        global $campoal_options;

        // get colors settings
        $shadow_opacity             = isset($campoal_options['conikal_shadow_opacity_field']) ? $campoal_options['conikal_shadow_opacity_field'] : 0;
        $main_color                 = isset($campoal_options['conikal_main_color_field']) ? $campoal_options['conikal_main_color_field'] : '#6059C9';
        $background_color           = isset($campoal_options['conikal_background_color_field']) ? $campoal_options['conikal_background_color_field'] : '#FFFCF7';
        $body_text_color            = isset($campoal_options['conikal_body_text_color_field']) ? $campoal_options['conikal_body_text_color_field'] : '#2B2B39';
        $text_link_color            = isset($campoal_options['conikal_text_link_color_field']) ? $campoal_options['conikal_text_link_color_field'] : '#2B2B39';
        $page_title_color           = isset($campoal_options['conikal_page_title_color_field']) ? $campoal_options['conikal_page_title_color_field'] : '#2B2B39';
        $heading_color              = isset($campoal_options['conikal_heading_color_field']) ? $campoal_options['conikal_heading_color_field'] : '#2B2B39';
        $subheading_color           = isset($campoal_options['conikal_subheading_color_field']) ? $campoal_options['conikal_subheading_color_field'] : '#5F5F75';
        $post_overlay_primary_color = isset($campoal_options['conikal_post_overlay_primary_color_field']) ? $campoal_options['conikal_post_overlay_primary_color_field'] : array('from' => '#FBC2EB', 'to' => '#6059C9');
        $mobile_login_button        = isset($campoal_options['conikal_mobile_login_button_field']) ? $campoal_options['conikal_mobile_login_button_field'] : 1;
        
        // opacity page and post hero
        $page_header_opacity        = isset($campoal_options['conikal_page_header_opacity_field']) ? $campoal_options['conikal_page_header_opacity_field'] : 95;
        $post_header_opacity        = isset($campoal_options['conikal_post_header_opacity_field']) ? $campoal_options['conikal_post_header_opacity_field'] : 95;

        // preload color
        $preloader_progress_color   = isset($campoal_options['conikal_preloader_progress_color_field']) ? $campoal_options['conikal_preloader_progress_color_field'] : '#6059C9';
        $opacity_hero_page_color    = isset($campoal_options['conikal_opacity_hero_page_color_field']) ? $campoal_options['conikal_opacity_hero_page_color_field'] : '#FFFCF7';
        
        // top menu colors
        $top_menu_bg_color          = isset($campoal_options['conikal_top_menu_bg_color_field']) ? $campoal_options['conikal_top_menu_bg_color_field'] : '#ffffff';
        $top_menu_text_color        = isset($campoal_options['conikal_top_menu_text_color_field']) ? $campoal_options['conikal_top_menu_text_color_field'] : '#2B2B39';
        $top_menu_link_color        = isset($campoal_options['conikal_top_menu_link_color_field']) ? $campoal_options['conikal_top_menu_link_color_field'] : '#2B2B39';
        
        // header colors
        $header_menu_color          = isset($campoal_options['conikal_header_menu_color_field']) ? $campoal_options['conikal_header_menu_color_field'] : '#ffffff';
        $header_menu_text_color     = isset($campoal_options['conikal_header_menu_text_color_field']) ? $campoal_options['conikal_header_menu_text_color_field'] : '#2B2B39';
        $header_submenu_bg_color    = isset($campoal_options['conikal_header_submenu_bg_color_field']) ? $campoal_options['conikal_header_submenu_bg_color_field'] : '#ffffff';
        $header_submenu_text_color  = isset($campoal_options['conikal_header_submenu_text_color_field']) ? $campoal_options['conikal_header_submenu_text_color_field'] : '#2B2B39';
        $header_promo_bg_color      = isset($campoal_options['conikal_header_promo_bg_color_field']) ? $campoal_options['conikal_header_promo_bg_color_field'] : '#ffffff';
        $header_promo_text_color    = isset($campoal_options['conikal_header_promo_text_color_field']) ? $campoal_options['conikal_header_promo_text_color_field'] : '#2B2B39';
        
        // home colors
        $home_caption_color         = isset($campoal_options['conikal_home_caption_color_field']) ? $campoal_options['conikal_home_caption_color_field'] : '#2B2B39';
        $home_sub_caption_color     = isset($campoal_options['conikal_home_sub_caption_color_field']) ? $campoal_options['conikal_home_sub_caption_color_field'] : '#5F5F75';
        $home_menu_background_color = isset($campoal_options['conikal_home_menu_background_color_field']) ? $campoal_options['conikal_home_menu_background_color_field'] : 'transparent';
        $home_menu_text_color       = isset($campoal_options['conikal_home_menu_text_color_field']) ? $campoal_options['conikal_home_menu_text_color_field'] : '#2B2B39';
        $home_submenu_bg_color      = isset($campoal_options['conikal_home_submenu_bg_color_field']) ? $campoal_options['conikal_home_submenu_bg_color_field'] : '#ffffff';
        $home_submenu_text_color    = isset($campoal_options['conikal_home_submenu_text_color_field']) ? $campoal_options['conikal_home_submenu_text_color_field'] : '#2B2B39';

        // victory colors
        $victory_label_color        = isset($campoal_options['conikal_victory_label_color_field']) ? $campoal_options['conikal_victory_label_color_field'] : '#6059C9';
        $victory_color              = isset($campoal_options['conikal_victory_color_field']) ? $campoal_options['conikal_victory_color_field'] : '#6059C9';
        
        // button colors
        $soft_button_bg_color               = isset($campoal_options['conikal_soft_button_bg_color_field']) ? $campoal_options['conikal_soft_button_bg_color_field'] : '#F5EFE0';
        $soft_button_text_color             = isset($campoal_options['conikal_soft_button_text_color_field']) ? $campoal_options['conikal_soft_button_text_color_field'] : '#5F5F75';
        $signup_button_color                = isset($campoal_options['conikal_signup_button_color_field']) ? $campoal_options['conikal_signup_button_color_field'] : '#FFC20E';
        $sign_petition_button_color         = isset($campoal_options['conikal_sign_petition_button_color_field']) ? $campoal_options['conikal_sign_petition_button_color_field'] : '#6059C9';
        $citation_opinion_agree_color       = isset($campoal_options['conikal_citation_opinion_agree_color_field']) ? $campoal_options['conikal_citation_opinion_agree_color_field'] : '#36B37E';
        $citation_opinion_disagree_color    = isset($campoal_options['conikal_citation_opinion_disagree_color_field']) ? $campoal_options['conikal_citation_opinion_disagree_color_field'] : '#FF5630';
        $submit_petition_button_color       = isset($campoal_options['conikal_submit_petition_button_color_field']) ? $campoal_options['conikal_submit_petition_button_color_field'] : '#6059C9';
        $share_button_color                 = isset($campoal_options['conikal_share_button_color_field']) ? $campoal_options['conikal_share_button_color_field'] : '#6059C9';
        $donate_button_color                = isset($campoal_options['conikal_donate_button_color_field']) ? $campoal_options['conikal_donate_button_color_field'] : '#6059C9';
            
        // mobile colors
        $mobile_menu_bg_color               = isset($campoal_options['conikal_mobile_menu_bg_color_field']) ? $campoal_options['conikal_mobile_menu_bg_color_field'] : '#ffffff';
        $mobile_menu_text_link_color        = isset($campoal_options['conikal_mobile_menu_text_link_color_field']) ? $campoal_options['conikal_mobile_menu_text_link_color_field'] : '#2B2B39';
                
        // footer colors
        $footer_bg_color            = isset($campoal_options['conikal_footer_bg_color_field']) ? $campoal_options['conikal_footer_bg_color_field'] : '#22130C';
        $footer_text_color          = isset($campoal_options['conikal_footer_text_color_field']) ? $campoal_options['conikal_footer_text_color_field'] : '#FFFCF7';
        $sidebar_menu_text_color    = isset($campoal_options['conikal_sidebar_menu_text_color_field']) ? $campoal_options['conikal_sidebar_menu_text_color_field'] : '#5F5F75';

        // cookie notice colors
        $cookie_background_color    = isset($campoal_options['conikal_cookie_background_color_field']) ? $campoal_options['conikal_cookie_background_color_field'] : '#2B2B39';
        $cookie_text_color          = isset($campoal_options['conikal_cookie_text_color_field']) ? $campoal_options['conikal_cookie_text_color_field'] : '#FFFCF7';

        // label colors
        $label_bg_color             = isset($campoal_options['conikal_label_bg_color_field']) ? $campoal_options['conikal_label_bg_color_field'] : '#F5EFE0';
        $label_text_color           = isset($campoal_options['conikal_label_text_color_field']) ? $campoal_options['conikal_label_text_color_field'] : '#5F5F75';

        // message and segment colors
        $message_bg_color           = isset($campoal_options['conikal_message_bg_color_field']) ? $campoal_options['conikal_message_bg_color_field'] : '#F9F9FF';
        $segment_bg_color           = isset($campoal_options['conikal_segment_bg_color_field']) ? $campoal_options['conikal_segment_bg_color_field'] : '#fbf7ed';
        
        $custom_style = '';

        // opacity hero page color
        if ($opacity_hero_page_color != '' || $shadow_opacity != 0) {
            $custom_style .= '
            .slideshowShadow {
                background-color: ' . esc_attr($opacity_hero_page_color) . ' !important; 
                opacity: ' . esc_attr((int)$shadow_opacity / 100) . ' !important;}

            .page-shadown {
                background-color: ' . esc_attr($opacity_hero_page_color) . ' !important; 
                opacity: ' . esc_attr((int)$page_header_opacity / 100) . ' !important;}
            
            .post-shadown {
                background-color: ' . esc_attr($opacity_hero_page_color) . ' !important; 
                opacity: ' . esc_attr((int)$post_header_opacity / 100) . ' !important;}';

            if ($shadow_opacity < 90 && $shadow_opacity > 0) {
                $custom_style .= '
                .home-header {
                    background: -moz-linear-gradient(top, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
                    /* FF3.6+ */
                    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(0, 0, 0, 0.5)), color-stop(100%, rgba(0, 0, 0, 0)));
                    /* Chrome,Safari4+ */
                    background: -webkit-linear-gradient(top, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
                    /* Chrome10+,Safari5.1+ */
                    background: -o-linear-gradient(top, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
                    /* Opera 11.10+ */
                    background: -ms-linear-gradient(top, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
                    /* IE10+ */
                    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
                    /* W3C */
                    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr="#80000000", endColorstr="#00000000", GradientType=0);
                    /* IE6-9 */
                }
                ';
            }
        }
        
        /**
         * Custom color css
         */
        
        if($main_color != '') {
            $custom_style .= '
            input:hover, 
            textarea:hover, 
            select:hover, 
            .ui.checkbox input:hover~.box:before, 
            .ui.checkbox input:hover~label:before, 
            .ui.form textarea:hover, 
            .ui.form input:not([type]):hover, 
            .ui.form input[type=date]:hover, 
            .ui.form input[type=datetime-local]:hover, 
            .ui.form input[type=email]:hover, 
            .ui.form input[type=file]:hover, 
            .ui.form input[type=number]:hover, 
            .ui.form input[type=password]:hover, 
            .ui.form input[type=search]:hover, 
            .ui.form input[type=tel]:hover, 
            .ui.form input[type=text]:hover, 
            .ui.form input[type=time]:hover, 
            .ui.form input[type=url]:hover, 
            .ui[class*="left action"].input>input:hover, 
            .ui[class*="right action"].input>input:hover, 
            .ui.selection.active.dropdown, 
            .ui.selection.active.dropdown .menu, 
            .ui.selection.dropdown .menu:hover, 
            input:hover.wpcf7-form-control.wpcf7-text, 
            textarea:hover.wpcf7-form-control.wpcf7-textarea,
            .ui.selection.dropdown:not(.gt_selector):hover,
            .sign-comment-label:hover {
                border-color: rgba(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.8) !important; }

            .daterangepicker td.in-range {
                background-color: rgb(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.05);}
            
            .ui.primary.button, .ui.primary.buttons .button, 
            .post-center-image, .carousel-v2 .slick-dots li:before, 
            .wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link, 
            .daterangepicker td.active, 
            .daterangepicker td.active:hover {
                background-color: ' . esc_attr($main_color) . ';
                border-color: ' . esc_attr($main_color) . ';}

            input.wpcf7-form-control.wpcf7-submit, 
            .topic-card.snip .follow-topic.following, 
            .give-form > .give-btn.give-btn-modal, 
            .give-btn.give-btn-reveal,
            .give-submit, 
            .give-default-level, 
            .blog-header, 
            .woocommerce span.onsale, 
            .button.wc-forward, 
            .wp-block-search__button, 
            .woocommerce #review_form #respond .form-submit input, 
            .select2-container--default .select2-results__option--highlighted[aria-selected], 
            .select2-container--default .select2-results__option--highlighted[data-selected], 
            .flaggedc-button.flaggedc-submit-button.flaggedc-button-style-theme, 
            .wpas-btn-default,
            .applyBtn, 
            .page-links > span, 
            .woocommerce #respond input#submit.alt, 
            .woocommerce a.button.alt, 
            .woocommerce button.button.alt, 
            .woocommerce input.button.alt, 
            .woocommerce-store-notice, p.demo_store, 
            .wedocs-single-wrap .wedocs-sidebar ul.doc-nav-list > li.current_page_parent > a, 
            .wedocs-single-wrap .wedocs-sidebar ul.doc-nav-list > li.current_page_item > a, 
            .wedocs-single-wrap .wedocs-sidebar ul.doc-nav-list > li.current_page_ancestor > a,
            .wp2fa-validate-form .button.button-primary,
            .wp-2fa-configuration-form .button.button-primary, 
            .wp2fa-modal .modal__content .modal__btn, 
            .wp2fa-modal .modal__content .wp2fa-setup-actions .button, 
            .wp2fa-modal .modal__footer .modal__btn.button-confirm,
            .wp-2fa-configuration-form .button,
            .wp-block-calendar tbody td#today, 
            .widget_calendar tbody tr td#today,
            .widget_calendar caption,  
            .wp-block-calendar table caption, 
            .post-password-form input[type=submit] {
                background-color: ' . esc_attr($main_color) . ' !important;
                border-color: ' . esc_attr($main_color) . ' !important;
                color: #ffffff !important;}

            input[type="submit"]:hover, 
            .ui.primary.button:hover, 
            .ui.primary.buttons .button:hover, 
            .ui.primary.button:focus, 
            .ui.primary.buttons .button:focus, 
            .ui.primary.active.button, 
            .ui.primary.button .active.button:active, 
            .ui.primary.buttons .active.button, 
            .ui.primary.buttons .active.button:active, 
            .add_to_cart_button:hover, 
            .give-donation-level-btn:hover, 
            .wpas-btn.wpas-btn-default:hover,
            #searchsubmit:hover, 
            .ui.search .action:hover,
            .wp-2fa-configuration-form .button.button-primary:hover, 
            .wp2fa-modal .modal__content .modal__btn:hover, 
            .wp2fa-modal .modal__content .wp2fa-setup-actions .button:hover, 
            .wp-2fa-configuration-form .button:hover {
                background-color: ' . esc_attr($main_color) . ' !important;
                border-color: ' . esc_attr($main_color) . ' !important;
                color: #ffffff !important;
                opacity: 0.87;}

            .give-donation-level-btn:hover {
                background-color: ' . esc_attr($main_color) . '!important;
                border-color: ' . esc_attr($main_color) . ' !important;
                color: #ffffff !important;
                opacity: 0.87;}

            .ui.basic.primary.button, 
            .ui.basic.primary.buttons .button {
                background: 0 0 !important;
                box-shadow: 0 0 0 1px #00b5ad inset !important;
                color: ' . esc_attr($main_color) . ' !important;}

            .ui.primary.label, 
            .ui.primary.labels .label {
                background-color: ' . esc_attr($main_color) . ' !important;
                border-color: ' . esc_attr($main_color) . ' !important;
                color: #fff !important;}

            .ui.primary.corner.label, 
            .ui.primary.corner.label:hover {
                background-color: transparent !important;}

            .ui.primary.progress .bar, 
            .title-divider:not(.inverted), 
            .give-progress-bar span, 
            .timeline > li > .timeline-badge, 
            .blog-feature .feature-image, 
            .ui.slider.checkbox input:checked~.box:before, 
            .ui.slider.checkbox input:checked~label:before, 
            .wp-2fa-configuration-form .option-pill > label > input[type=radio]:checked::before {
                background-color: ' . esc_attr($main_color) . ' !important;}

            .ui.primary.segment:not(.inverted) {
                border-top: 2px solid ' . esc_attr($main_color) . ' !important;}

            .ui.primary.header, 
            .ui.cards>.card>.extra a:not(.ui):hover, 
            .ui.card>.extra a:not(.ui):hover, 
            .ui.cards>.card>.extra a:not(.ui):hover {
                color: ' . esc_attr($main_color) . ' !important;}

            a.ui.basic.label:hover,
            .edit-widgets-block-editor ul.wp-block li:hover:before, 
            .edit-widgets-block-editor ul.wp-block li:hover a, 
            .edit-widgets-block-editor ul.wp-block-rss li:hover a, 
            .edit-widgets-block-editor .wp-block ul li:hover a, 
            .edit-widgets-block-editor .wp-block ul li:hover:before, 
            .widget ul li::before, 
            .widget ul li:hover:before, 
            .widget ul li a:hover,  
            .ui.search .results .result .price {
                color: ' . esc_attr($main_color) . ' !important;}

            .ui.toggle.checkbox input:checked~.box:before, 
            .ui.toggle.checkbox input:checked~label:before, 
            .ui.toggle.checkbox input:focus:checked~.box:before, 
            .ui.toggle.checkbox input:focus:checked~label:before {
                background-color: ' . esc_attr($main_color) . ' !important;}

            .ui.ordered.steps .step.completed:before, 
            .ui.steps .step.completed>.icon:before {
                color: ' . esc_attr($main_color) . ' !important;}

            blockquote, pre {
                border-left-color: ' . esc_attr($main_color) . ' !important;}

            blockquote::before {
                color: ' . esc_attr($main_color) . ' !important;}

            .wc-block-product-search .wc-block-product-search__button, 
            .wc-block-components-price-slider__range-input-progress {
                background: ' . esc_attr($main_color) . ' !important;
                color: #fff !important; }

            .wpas-uploader-dropzone:hover {
                border-color: ' . esc_attr($main_color) . ' !important;}
            input:focus, 
            textarea:focus, 
            select:focus, 
            .ui.checkbox input:focus~.box:before, 
            .ui.checkbox input:focus~label:before, 
            .ui.form textarea:focus, 
            .ui.form input:not([type]):focus, 
            .ui.form input[type=date]:focus, 
            .ui.form input[type=datetime-local]:focus, 
            .ui.form input[type=email]:focus, 
            .ui.form input[type=file]:focus, 
            .ui.form input[type=number]:focus, 
            .ui.form input[type=password]:focus, 
            .ui.form input[type=search]:focus, 
            .ui.form input[type=tel]:focus, 
            .ui.form input[type=text]:focus, 
            .ui.form input[type=time]:focus, 
            .ui.form input[type=url]:focus, 
            .ui[class*="left action"].input>input:focus, 
            .ui[class*="right action"].input>input:focus, 
            .ui.selection.active.dropdown, 
            .ui.selection.active.dropdown .menu, 
            .ui.selection.dropdown:focus, .ui.selection.dropdown .menu:focus, 
            input:focus.wpcf7-form-control.wpcf7-text, 
            textarea:focus.wpcf7-form-control.wpcf7-textarea,
            .sign-comment-label:focus {
                border-color: rgba(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.8) !important; 
                box-shadow: inset 0 1px 1px rgb(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.08), 0 0 0 0.2rem rgb(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.25) !important}';
        }

        if($background_color != '') {
            $custom_style .= '
            body, 
            body.pushable, 
            body.pushable>.pusher, 
            #hero-container {
                background-color: ' . esc_attr($background_color) . ' !important;}';
        }

        if($body_text_color != '') {
            $custom_style .= '
            body, 
            p:not(.has-text-color, .gutentor-text, .demo_store), 
            .ui.form input:not([type]), 
            .ui.form input[type=date], 
            .ui.form input[type=datetime-local], 
            .ui.form input[type=email], 
            .ui.form input[type=file], 
            .ui.form input[type=number], 
            .ui.form input[type=password], 
            .ui.form input[type=search], 
            .ui.form input[type=tel], 
            .ui.form input[type=text], 
            .ui.form input[type=time], 
            .ui.form input[type=url],
            .ui.form textarea,
            .ui.selection.dropdown, 
            .give-goal-progress .income, 
            .give-goal-progress .raised, 
            #back-to-top, .ui.toast>.content, 
            .widget_calendar thead tr th, 
            .ui.checkbox label, 
            .ui.checkbox+label, 
            .ui.card>.content>.description, 
            .ui.cards>.card>.content>.description, 
            .ui.form .field>label  {
                color: ' . esc_attr($body_text_color) . ' !important;}';
        }

        if($text_link_color != '') {
            $custom_style .= '
            a, 
            .ui.card>.content>a.header, 
            .ui.cards>.card>.content>a.header, 
            .ui.breadcrumb a, 
            .ui.steps .step.active .title, 
            .ui.items>.item>.content>a.header, 
            .radio-flex .radio-container .radio-options label, 
            .radio-flex .radio-container .radio-options input:checked + label, 
            .ui.menu:not(.grey, .inverted, .menu-home, .home-menu, .blog-menu) .item, 
            .ui.secondary.menu:not(.grey, .inverted, .menu-home, .home-menu, .blog-menu) .active.item, 
            .ui.secondary.pointing.menu:not(.grey, .inverted) .active.item, 
            .ui.dropdown .menu>.item,
            .ui.ordered.steps .step.active:before, 
            .ui.steps .active.step .icon {
                color: ' . esc_attr($text_link_color) . ';}

            .category-menu a, 
            .category-menu .nav-submenu .item a, 
            .ui.menu .ui.dropdown:not(.nav-submenu, .user-menu) .menu>.item {
                color: ' . esc_attr($text_link_color) . ' !important;}

            a:hover, 
            .mobile-menu-item:hover, 
            .ui.card>.content>a.header:hover, 
            .ui.cards>.card>.content>a.header:hover, 
            .ui.comments .comment a.author:hover, 
            .ui.breadcrumb a:hover, 
            .ui.items a.item:hover .content .header, 
            .ui.link.items>.item:hover .content .header, 
            .ui.items>.item>.content>a.header:hover, 
            .ui.dropdown .menu>.item:hover {
                color: ' . esc_attr($text_link_color) . ' ;
                opacity: 0.87;}

            .ui.inverted.list .item a:not(.ui):hover {
                color: #fafafa;
                opacity: 0.87;}

            .ui.list .list>.item a.header, 
            .ui.list>.item a.header {
                color: ' . esc_attr($text_link_color) . ' !important;}

            .ui.list .list>.item a.header:hover, 
            .ui.list>.item a.header:hover {
                color: ' . esc_attr($text_link_color) . ' !important; 
                opacity: 0.87 !important;}

            .ui.basic.button:not(.positive, .negative):hover, 
            .ui.basic.buttons .button:not(.positive, .negative):hover, 
            .ui.secondary.menu:not(.grey, .inverted, .menu-home, .home-menu, .blog-menu) .active.item:hover, 
            .ui.secondary.pointing.menu:not(.grey) .active.item:hover, 
            .ui.menu .ui.dropdown:not(.nav-submenu, .user-menu) .menu>.item:hover {
                color: ' . esc_attr($text_link_color) . ' !important;}';
        }

        // home hero caption color
        if ($home_caption_color != '') {
            $custom_style .= '
            .home-caption .home-title {
                color: ' . esc_attr($home_caption_color) . ' !important;}';
        }

        if ($home_sub_caption_color != '') {
            $custom_style .= '
            .home-caption .home-subtitle {
                color: ' . esc_attr($home_sub_caption_color) . ' !important;}';
        }

        // home hero caption color
        if ($page_title_color != '') {
            $custom_style .= '
            .page-caption .page-title, 
            .page-caption .page-subtitle, 
            .profile-title, 
            .profile-title .sub.header, 
            .page-title, 
            .post-title, 
            .post-sub-title, 
            .post-sub-title > a {
                color: ' . esc_attr($page_title_color) . ' !important;}';
        }

        // heading color
        if (!empty($heading_color)) {
            $custom_style .= '
            h1, h2, h3, h4, h5, h6, 
            .ui.header,
            h1.ui.header, 
            h2.ui.header, 
            h3.ui.header, 
            h4.ui.header, 
            h5.ui.header, 
            h6.ui.header, 
            .ui.card>.content>.header, 
            .ui.cards>.card>.content>.header, 
            .ui.card>.content>.header:not(.ui), 
            .ui.cards>.card>.content>.header:not(.ui), 
            .ui.toast>.content>.header,
            .ui.statistic>.value, 
            .ui.statistics .statistic>.value, 
            .ui.search>.results .result .title,
            .ui.list .list>.item .header, 
            .ui.list>.item .header,
            .timeline > li > .timeline-panel > .timeline-heading > .timeline-title,
            .ui.comments .comment .author {
                color: ' . esc_attr($heading_color) . '; }';

            $custom_style .= '
            .card-post-title, 
            .card-petition-title, 
            .card-product-title, 
            .card-post-title .ui.header, 
            .wpcf7 form .wpcf7-response-output,
            .wp2fa-modal .modal__content label, 
            .ui.message:not(.info, .success, .warning, .error, .negative, .positive) .header,
            .ui.message:not(.info, .success, .warning, .error, .negative, .positive) {
                color: ' . esc_attr($heading_color) . ' !important; }';
        }

        // sub heading color
        if ($subheading_color != '') {
            $custom_style .= '
            .ui.header .sub.header, 
            h1.ui.header .sub.header, 
            h2.ui.header .sub.header, 
            h3.ui.header .sub.header, 
            h4.ui.header .sub.header, 
            h5.ui.header .sub.header, 
            h6.ui.header .sub.header, 
            .ui.card .meta, .ui.cards>.card .meta, 
            .ui.items>.item .meta, 
            .ui.card>.extra, 
            .ui.cards>.card>.extra, 
            .ui.card>.extra a:not(.ui), 
            .ui.cards>.card>.extra a:not(.ui), 
            .ui.icon.input>i.icon, 
            .ui.list .list>.item .description, 
            .ui.list>.item .description, 
            .ui.category.search>.results .category>.name,
            .ui.search>.results .result .description,
            .timeline > li > .timeline-panel > .timeline-heading > .timeline-body p,
            .flaggedc-button.flaggedc-reveal-button.flaggedc-button-style-theme,
            .widget_calendar tbody tr td, 
            .ui.items>.item .meta>a:not(.ui),
            .ui.steps .disabled.step, 
            .ui.steps .disabled.step .description, 
            .ui.steps .disabled.step .title, .ui.secondary.segment {
                color: ' . esc_attr($subheading_color) . ';}

            .petition-content .meta, 
            .petition-content .meta a, 
            .petition-content .description p, 
            a.text.grey,
            .text.grey, 
            .text.grey a, 
            .text.grey p, .ui.statistic>.label, 
            .woocommerce .woocommerce-breadcrumb,
            .ui.statistics .statistic>.label, 
            .wpas-reply-meta .wpas-reply-time,
            .ui.comments .comment .metadata, 
            .ui.comments .comment .actions a, 
            .ui.progress>.label,
            .ui.basic.button, 
            .ui.basic.buttons .button, 
            .ui.default.dropdown:not(.button)>.text, 
            .ui.dropdown:not(.button)>.default.text {
                color: ' . esc_attr($subheading_color) . ' !important;}

            .ui.basic.button:not(.positive, 
            .negative):hover, 
            .ui.basic.buttons .button:not(.positive, .negative):hover, 
            .ui.secondary.pointing.menu .active.item {
                border-color: ' . esc_attr($subheading_color) . ' !important;}

            input::-webkit-input-placeholder, 
            .ui.input > input::-webkit-input-placeholder, 
            textarea::-webkit-input-placeholder {
                color: ' . esc_attr($subheading_color) . ' !important;}

            input::-webkit-input-placeholder, 
            .ui.input > input::-moz-placeholder, 
            textarea::-webkit-input-placeholder {
                color: ' . esc_attr($subheading_color) . ' !important;}

            input::-webkit-input-placeholder, 
            .ui.input > input:-ms-input-placeholder, 
            textarea::-webkit-input-placeholder {
                color: ' . esc_attr($subheading_color) . ' !important;}';
        }

        if ($preloader_progress_color != '') {
            $custom_style .= '
            .bjax-bar {
                border-color: ' . esc_attr($preloader_progress_color) . ' !important;}

            .sk-chasing-dots .sk-child, 
            .sk-cube-grid .sk-cube, 
            .sk-double-bounce .sk-child, 
            .sk-fading-circle .sk-circle:before, 
            .sk-folding-cube .sk-cube:before,
            .sk-spinner-pulse, .sk-rotating-plane, 
            .sk-three-bounce .sk-child, 
            .sk-wandering-cubes .sk-cube, 
            .sk-wave .sk-rect {
                background-color: ' . esc_attr($preloader_progress_color) . ' !important;}';
        }

        if ($header_menu_color != '') {
            $custom_style .= '
            .header-menu, 
            .search-menu {
                background-color: ' . esc_attr($header_menu_color) . ' !important;}';
        }

        if ($header_menu_text_color != '') {
            $custom_style .= '
            .header-menu .item, 
            .header-menu .ui.dropdown .text, 
            .header-menu .ui.dropdown:not(.user-menu) i,
            .header-menu .user-menu-label, 
            .header-menu .left-menu-btn i {
                color: ' . esc_attr($header_menu_text_color) . ' !important;}
                
            .ui.menu:not(.grey, .inverted, .menu-home, .home-menu, .blog-menu) > .item:hover,
            .ui.menu:not(.grey, .inverted, .menu-home, .home-menu, .blog-menu) .item.visible i {
                color: ' . esc_attr($header_menu_text_color) . ';
                opacity: 0.87;
            }';

            if ($mobile_login_button == 'icon') {
                $custom_style .= '
                .header-menu .user-menu i,
                .header-menu .user-menu i:hover {
                    color: ' . esc_attr($header_menu_text_color) . ' !important;}';
            }

            $custom_style .= '
            .footer .nav-submenu .item a {
                color: ' . esc_attr($header_menu_text_color) . ' !important;}';
        }

        if ($header_submenu_bg_color != '') {
            $custom_style .= '
            .header-menu .nav-submenu .menu, 
            .header-menu .ui.dropdown.user-menu .menu {
                background-color: ' . esc_attr($header_submenu_bg_color) . ' !important;}

            .leftside-menu > .mobile-menu-item:hover, 
            .widget_shopping_cart .cart_list li:hover, 
            .woocommerce.widget_shopping_cart .cart_list li:hover, 
            .ui.category.search>.results .category .result:hover, 
            .ui.search>.results .result:hover,
            .pac-item:hover, 
            .pac-item-selected, 
            .ui.secondary.menu:not(.pointing) .dropdown.item:hover, 
            .ui.secondary.menu:not(.pointing) .link.item:hover, 
            .ui.secondary.menu a.item:hover, 
            .ui.secondary.menu:not(.pointing) .active.item:hover,
            .ui.secondary.menu:not(.pointing) .active.item,
            .ui.menu .ui.dropdown .menu>.item:hover,
            .ui.link.menu .item:hover, 
            .ui.menu:not(.text) .dropdown.item:hover, 
            .ui.menu:not(.text) .link.item:hover, 
            .ui.menu:not(.text) a.item:hover, 
            .header-menu .ui.dropdown.user-menu .menu a.item:hover {
                background-color: rgb(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.05) !important;}
                
            .ui.steps .step:after {
                border-color: rgb(' . esc_attr(conikal_hex_rbg($main_color, true)) . ', 0.05) !important; }';
        }

        if ($header_submenu_text_color != '') {
            $custom_style .= '
            .header-menu .ui.dropdown.nav-submenu>.menu>a.item, 
            .header-menu .ui.dropdown.nav-submenu>.menu>a.item i,
            .header-menu .ui.dropdown.nav-submenu>.menu>.item a, 
            .header-menu .ui.dropdown.nav-submenu>.menu>.item i, 
            .header-menu .ui.dropdown.user-menu>.menu>a.item, 
            .header-menu .ui.dropdown.user-menu>.menu>a.item i, 
            .footer-menu .footer-nav-submenu .menu>.item a, 
            .footer-menu .footer-nav-submenu .menu>.item i {
                color: ' . esc_attr($header_submenu_text_color) . ' !important; }

            .header-menu .ui.dropdown.nav-submenu .menu a.item:hover, 
            .header-menu .ui.dropdown.nav-submenu .menu a.item:hover i,
            .header-menu .ui.dropdown.user-menu .menu a.item:hover {
                color: ' . esc_attr($header_submenu_text_color) . ' !important;
                opacity: 0.8 !important; }';
        }

        if ($home_menu_background_color != '') {
            $custom_style .= '
            .home-menu {
                background-color: ' . esc_attr($home_menu_background_color) . ' !important;}';
        }

        if ($home_menu_text_color != '') {
            $custom_style .= '
            .left-menu-btn i, 
            .category-menu .ui.menu .item>i.dropdown.icon, 
            .home-menu .item, 
            .home-menu .ui.dropdown .text, 
            .home-menu .ui.dropdown .text a, 
            .home-menu .ui.dropdown > .text i.dropdown, 
            .home-menu .ui.default.dropdown:not(.button)>.text, 
            .home-menu .ui.dropdown:not(.button)>.default.text,
            .home-menu .ui.selection.dropdown.gtranslate-dropdown > .dropdown.icon,
            .user-menu-label, 
            .home-header-menu .header-menu-link .user-menu > i.icon:hover,
            .inverted-logo .ui.header {
                color: ' . esc_attr($home_menu_text_color) . ' !important;}';

            if ($mobile_login_button == 'icon') {
                $custom_style .= '
                .home-header-menu .header-menu-link .user-menu > i.icon,
                .home-header-menu .header-menu-link .user-menu > i.icon:hover {
                    color: ' . esc_attr($home_menu_text_color) . ' !important;}';
            }
        }

        if ($home_submenu_bg_color != '') {
            $custom_style .= '
            .home-menu .nav-submenu .menu, 
            .home-menu .ui.dropdown.user-menu .menu, 
            .home-menu .ui.dropdown.user-menu .menu {
                background-color: ' . esc_attr($home_submenu_bg_color) . ' !important;}';
        }

        if ($home_submenu_text_color != '') {
            $custom_style .= '
            .home-menu .ui.dropdown.nav-submenu>.menu>a.item, 
            .home-menu .ui.dropdown.nav-submenu>.menu>a.item i,
            .home-menu .ui.dropdown.nav-submenu>.menu>.item a, 
            .home-menu .ui.dropdown.nav-submenu>.menu>.item i, 
            .home-menu .nav-submenu .menu>.item a, 
            .home-menu .nav-submenu .menu>.item i, 
            .home-menu .ui.dropdown.user-menu .menu a.item, 
            .home-menu .ui.dropdown.user-menu .menu a.item i, 
            .home-menu .ui.dropdown.user-menu .menu a.item:hover {
                color: ' . esc_attr($home_submenu_text_color) . ' !important;}
                
            .home-menu .ui.dropdown.nav-submenu .menu a.item:hover, 
            .home-menu .ui.dropdown.nav-submenu .menu a.item:hover i,
            .home-menu .ui.dropdown.user-menu .menu a.item:hover {
                color: ' . esc_attr($home_submenu_text_color) . ' !important;
                opacity: 0.8 !important; }';
        }

        if ($top_menu_bg_color != '' ) {
            $custom_style .= '
            .top-menu-segment .top-menu {
                background-color: ' . esc_attr($top_menu_bg_color) . ' !important;}';
        }

        if ($top_menu_text_color != '') {
            $custom_style .= '
            .woocommerce-mini-cart-item.mini_cart_item > .quantity, 
            .woocommerce-mini-cart-item.mini_cart_item > a.remove, 
            .top-menu-segment .top-menu.top-menu-items.menu>a.item, 
            .top-menu-segment .top-menu.top-menu-items.menu>.item>.text, 
            .top-menu-segment .top-menu.top-menu-items.menu>.item>i, 
            .top-menu-segment .top-menu.top-menu-items.menu a.item, 
            .top-menu-segment .top-menu.top-menu-items.menu>.item>.country-selection>.text, 
            .top-menu-segment .top-menu.top-menu-items.menu>.item>.country-selection>i, 
            .top-menu-segment .top-menu.top-menu-items.menu>.item>.gtranslate_wrapper>.gtranslate-dropdown>.text {
                color: ' . esc_attr($top_menu_text_color) . ' !important}
            .top-menu-segment .top-menu.top-menu-items.menu>.item>.gtranslate_wrapper>.ui.selection.dropdown:hover {
                border-color: transparent !important;
            }
                
            .woocommerce-mini-cart-item.mini_cart_item > a.remove:hover {
                background-color: ' . esc_attr($top_menu_text_color) . ' !important;}';
        }

        if ($header_promo_bg_color != '' ) {
            $custom_style .= '
            .header-promo {
                background-color: ' . esc_attr($header_promo_bg_color) . ' !important;}
            .close-promo {
                border-color: ' . esc_attr($header_promo_bg_color) . ' !important;}';
        }

        if ($header_promo_text_color != '') {
            $custom_style .= '
            .header-promo .promo-content, 
            .header-promo .promo-content .sub.header, 
            .close-promo i {
                color: ' . esc_attr($header_promo_text_color) . ' !important}';
        }

        if($victory_color != '') {
            $custom_style .= '
            .ui.text.victory, 
            .victory-update-title i { 
                color: ' . esc_attr($victory_color) . ' !important;}

            .ui.victory.progress .bar, 
            .status-victory { 
                background-color: ' . esc_attr($victory_color) . ' !important;}

            .ui.victory.success .label { 
                color: ' . esc_attr($victory_color) . ' !important;}';
        }

        if ($signup_button_color != '' ) {
            $custom_style .= '
            .signup-btn-style, 
            .home-cta-button, 
            .signup-btn-modal { 
                background-color: ' . esc_attr($signup_button_color) . ' !important; 
                border-color: ' . esc_attr($signup_button_color) . ' !important; 
                color: #fff !important; }';
        }

        if($victory_label_color != '') {
            $custom_style .= '
            .victory-label { 
                border-color: ' . esc_attr($victory_label_color) . ' !important;}';
        }

        if ($soft_button_bg_color != '') {
            $custom_style .= '
            .ui.button, 
            .give-btn,
            .select2-container--default .select2-results__option[aria-selected=true], 
            .select2-container--default .select2-results__option[data-selected=true] { 
                background-color: ' . esc_attr($soft_button_bg_color) . ';
                border-color: ' . esc_attr($soft_button_bg_color) . ';}

            .ui.button:hover { 
                background-color: ' . esc_attr($soft_button_bg_color) . ';
                border-color: ' . esc_attr($soft_button_bg_color) . ';}';
        }

        if ($soft_button_text_color != '') {
            $custom_style .= '
            .give-btn,
            .ui.button { 
                color: ' . esc_attr($soft_button_text_color) . ';}

            .ui.button:hover { 
                color: rgba(' . esc_attr(conikal_hex_rbg($soft_button_text_color, true)) . ', 0.8);}';
        }

        if($sign_petition_button_color != '') {
            $custom_style .= '
            .submitSign, 
            .signBtn, 
            .open-sign-box { 
                background-color: ' . esc_attr($sign_petition_button_color) . ' !important;}';
        }

        if($citation_opinion_agree_color != '') {
            $custom_style .= '
            .citation-opinion .switch { 
                background-color: ' . esc_attr($citation_opinion_agree_color) . ';}';

            $custom_style .= '
            .citation-label.yes, 
            .citation-label-yes, 
            .stv-radio-button:checked + label.citation-yes, 
            .stv-radio-button:hover + label.citation-yes, 
            .fact-score-status-agree .bar { 
                background-color: ' . esc_attr($citation_opinion_agree_color) . ' !important;}';
            // $custom_style .= 'label.citation-yes { border: 1px solid ' . esc_attr($citation_opinion_agree_color) . ' !important; color: ' . esc_attr($citation_opinion_agree_color) . ' !important;}';
        }

        if($citation_opinion_disagree_color != '') {
            $custom_style .= '
            .citation-opinion #no:checked ~ .switch { 
                background-color: ' . esc_attr($citation_opinion_disagree_color) . ' ;}';
            $custom_style .= '
            .citation-label.no, 
            .citation-label-no, 
            .stv-radio-button:checked + label.citation-no, 
            .stv-radio-button:hover + label.citation-no, 
            .fact-score-status-disagree .bar { 
                background-color: ' . esc_attr($citation_opinion_disagree_color) . ' !important;}';
            // $custom_style .= 'label.citation-no { border: 1px solid ' . esc_attr($citation_opinion_disagree_color) . ' !important; color: ' . esc_attr($citation_opinion_disagree_color) . ' !important;}';
        }

        if ($submit_petition_button_color != '') {
            $custom_style .= '
            .submit-petition-btn { 
                background-color: ' . esc_attr($submit_petition_button_color) . ' !important;
                color: #ffffff !important;}';
        }

        if ($mobile_menu_bg_color != '') {
            $custom_style .= '
            .leftside-menu, 
            .searchBtnMobile input {
                background-color: ' . esc_attr($mobile_menu_bg_color) . ' !important;}';
        }

        if ($mobile_menu_text_link_color != '') {
            $custom_style .= '
            .leftside-menu .item, 
            .leftside-menu a:not(.button), 
            .searchBtnMobile i.icon, 
            .mobile-menu-item .item .title {
                color: ' . esc_attr($mobile_menu_text_link_color) . ' !important;}';
        }

        if ($post_overlay_primary_color != '') {
            $custom_style .= '
            .topic-card.snip {
                background-image: linear-gradient(to bottom, rgba(' . esc_attr(conikal_hex_rbg($post_overlay_primary_color['from'], true)) . ', 0.9), rgba(' . esc_attr(conikal_hex_rbg($post_overlay_primary_color['to'], true)) . ', 0.8)) !important;}';
        }

        if($footer_bg_color != '') {
            $custom_style .= '
            .footer {
                background-color: ' . esc_attr($footer_bg_color) . ' !important;}';
        }

        if($footer_text_color != '') {
            $custom_style .= '
            .footer .copyright, 
            .footer h1, 
            .footer h2, 
            .footer h3, 
            .footer h4, 
            .footer h5, 
            .footer h6, 
            .footer .widget-title, 
            .footer p, 
            .footer .ui.accordion .title, 
            .footer .ui.accordion .content, 
            .footer .contact_sidebar, 
            .footer .ui.menu > .item, 
            .footer .ui.menu > .menu > a.item, 
            .footer .ui.menu > .menu > .ui.dropdown.item > .text, 
            .footer .ui.menu > .menu > .ui.dropdown.item > i.dropdown.icon {
                color: ' . esc_attr($footer_text_color) . ' !important;}
            .footer, 
            .footer a:not(.button, .text) {
                color: ' . esc_attr($footer_text_color) . ';}
            .footer a:not(.button, .tag-cloud-link):hover {
                color: ' . esc_attr($footer_text_color) . ' !important;
                opacity: 0.87;}
            .footer .widget.social_sidebar .ui.inverted.button {
                box-shadow: 0 0 0 2px ' . esc_attr($footer_text_color) . ' inset!important; color: ' . esc_attr($footer_text_color) . '}
            .footer .widget.social_sidebar .ui.inverted.button:hover {
                background-color: ' . esc_attr($footer_text_color) . ' !important; color: ' . esc_attr($footer_bg_color) . '}
            .footer .ui.star.rating .icon, 
            .footer .widget_rss .rss-date, 
            .footer .widget_rss .rssSummary, 
            .footer time, 
            .footer-menu .item:hover {
                color: ' . esc_attr($footer_text_color) . ' !important;
                opacity: 0.87 !important;}';
        }

        if ($share_button_color != '') {
            $custom_style .= '
            .ui.button.primary-share-button:not(.twitter, .facebook, .linkedin, .telegram, .messenger, .whatsapp, .line, .tumblr, .pinterest, .reddit, .vk) {
                color: #ffffff;
                background-color: ' . esc_attr($share_button_color) . ';}
            .ui.primary.button.open-share-box, 
            .ui.primary.button.share-button-sidebar {
                color: #ffffff;
                background-color: ' . esc_attr($share_button_color) . ' !important;}
            .ui.primary.button.open-share-box:hover, 
            .ui.primary.button.share-button-sidebar:hover {
                background-color: ' . esc_attr($share_button_color) . ' !important;
                color: #ffffff !important; 
                opacity: 0.87;}';
        }

        if ($donate_button_color != '') {
            $custom_style .= '
            .ui.primary.button.open-donate-box, 
            .give-default-level, 
            .give-form > .give-btn.give-btn-modal, 
            .ui.primary.button.sign-button-sidebar {
                background-color: ' . esc_attr($donate_button_color) . ' !important;
                color: #ffffff !important;}
            .ui.primary.button.open-donate-box:hover, 
            .give-default-level:hover, 
            .give-form > .give-btn.give-btn-modal:hover, 
            .ui.primary.button.sign-donate-box:hover {
                background-color: ' . esc_attr($donate_button_color) . ' !important;
                color: #ffffff !important;
                opacity: 0.87;}';
        }

        if ($cookie_background_color != '' || $cookie_text_color != '') {
            $custom_style .= '
            .ui.nag, 
            .ui.nag:hover {
                color: ' . esc_attr($cookie_text_color) . '; 
                background-color: ' . esc_attr($cookie_background_color) . ';}';
        }

        if ($label_bg_color != '' ) {
            $custom_style .= '
            mark, 
            .ui.label, 
            .widget .tagcloud a, 
            .widget .wp-block-tag-cloud a, 
            p.wp-block-tag-cloud a, 
            .ui.progress, 
            form[id*=give-form] 
            .give-donation-amount 
            .give-currency-symbol, 
            .give-progress-bar,
            #control-menu,
            .wc-block-grid__product-onsale, 
            form[id*=give-form] #give-final-total-wrap .give-donation-total-label {
                background-color: rgba(' . esc_attr(conikal_hex_rbg($label_bg_color, true)) . ', 0.8);}
            a.ui.label:hover, 
            a.ui.labels .label:hover, 
            .widget .tagcloud a:hover {
                background-color: ' . esc_attr($label_bg_color) . ';}
            .wc-block-grid__product-onsale, 
            .ui.secondary.pointing.menu {
                border-color: ' . esc_attr($label_bg_color) . ';}
            #control-menu {
                background-color: rgba(' . esc_attr(conikal_hex_rbg($label_bg_color, true)) . ', 0.68) !important;}';
        }

        if ($label_text_color != '') {
            $custom_style .= '
            mark, 
            .wc-block-grid__product-onsale, 
            .widget .tagcloud a, 
            .widget .wp-block-tag-cloud a, 
            p.wp-block-tag-cloud a, 
            .ui.label {
                color: ' . esc_attr($label_text_color) . '}
            .widget .tagcloud a:hover, 
            .widget .wp-block-tag-cloud a:hover, 
            p.wp-block-tag-cloud a:hover, 
            a.ui.label:hover, 
            a.ui.labels .label:hover {
                color: rgba(' . esc_attr(conikal_hex_rbg($label_text_color, true)) . ', 0.87);}';
        }

        if ($sidebar_menu_text_color != '') {
            $custom_style .= '
            .sidebar-menu .item, 
            .sidebar-menu a.item, 
            .sidebar-menu .ui.dropdown>.text, 
            .copyright {
                color: ' . esc_attr($sidebar_menu_text_color) . ' !important}';
        }

        if ($message_bg_color != '') {
            $custom_style .= '
            .wpcf7 form .wpcf7-response-output {
                background: ' . esc_attr($message_bg_color) . ' !important}
            .ui.message,
            .woocommerce-message {
                background: ' . esc_attr($message_bg_color) . '}';
        }

        if ($segment_bg_color != '') {
            $custom_style .= '
            pre,
            .ui.steps .step.active, 
            .ui.steps .step.active::after, 
            .widget_calendar thead tr th, 
            .wp-block-calendar table th, 
            .wp-block-latest-posts, 
            .menu-testing-menu-container > ul, 
            .edit-widgets-block-editor .wp-block > ul:not(.product_list_widget, .wp-block-rss, .widget_rss), 
            .edit-widgets-block-editor .wp-block > div > ul:not(.product_list_widget, .wp-block-rss, .widget_rss), 
            .edit-widgets-block-editor .wp-block > div > div > ul:not(.product_list_widget, .wp-block-rss, .widget_rss), 
            .widget > ul:not(.product_list_widget, .wp-block-rss, .widget_rss), 
            .widget > div > ul:not(.product_list_widget, .wp-block-rss, .widget_rss), 
            .widget > div > div > ul:not(.product_list_widget, .wp-block-rss, .widget_rss), 
            .widget > ul.product_list_widget li, 
            .widget_recent_comments ol li, 
            .widget_rss ul li, 
            .wp-block-latest-comments li, 
            .ui.secondary.segment, 
            .classic-post-card .behind-thumbnail, 
            .wedocs-single-wrap .wedocs-single-content article .entry-content img,
            .radio-flex .radio-container .radio-options, 
            .ui.fluid.card.update-card, 
            .ui.fluid.card.citation-card, 
            .ui.category.search>.results .category,
            .ui.search>.results>.action,
            .blog-feature, 
            .stv-radio-buttons-wrapper {
                background: ' . esc_attr($segment_bg_color) . '}
            .give-feature-footer {
                background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, ' . esc_attr($segment_bg_color) . ' 26%);}
            .ui.basic.striped.table tbody tr:nth-child(2n) { 
                background-color: ' . esc_attr($segment_bg_color) . ' !important }';
        }
        
        
        return $custom_style;
    }
endif;