<?php
/**
 * @package WordPress
 * @subpackage Campoal
 */

/**
 * Template Hooks used in WeDocs
 * 
 * @since 1.9.0
 */
if ( ! function_exists( 'conikal_wedocs_docs_search_form' ) ) :
    function conikal_wedocs_docs_search_form() {
        ?>
        <div class="ui vertical secondary padded segment">
            <div class="ui container">
                <div class="ui grid">
                    <div class="sixteen wide column">
                    <!-- Input -->
                    <form role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="wedocs-search-form ui form">
                        <input type="hidden" name="post_type" value="docs">
                        <div class="ui icon fluid large input">
                            <input name="s" type="search" placeholder="<?php echo esc_attr__( 'Documentation Search &hellip;', 'campoal' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" aria-label="<?php echo esc_attr__( 'Documentation Search &hellip;', 'campoal' ); ?>">
                            <i class="circular search link icon"></i>
                        </div>
                    </form>
                    <!-- End Input -->
                    </div>
                </div>
            </div>
        </div>
        <?php
    }
endif;
add_action( 'wedocs_before_main_content', 'conikal_wedocs_docs_search_form', 10 );
