<?php
/**
 * Single view Company information box
 *
 * Hooked into single_job_listing_start priority 30
 *
 * This template can be overridden by copying it to yourtheme/job_manager/content-single-job_listing-company.php.
 *
 * @see         https://wpjobmanager.com/document/template-overrides/
 * @author      Automattic
 * @package     wp-job-manager
 * @category    Template
 * @since       1.14.0
 * @version     1.32.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! get_the_company_name() ) {
	return;
}
?>
<div class="ui very padded secondary segment">
	<h3 class="ui header">
		<div class="ui small circular image">
			<?php the_company_logo(); ?>
		</div>
		
		<div class="content">
			<?php the_company_name(); ?>
			<div class="sub header">
				<?php the_company_tagline(); ?>
			</div>
		</div>
	</h3>

	<div class="ui section divider"></div>

	<div class="ui very relaxed large list">
		<div class="item">
			<i class="twitter icon"></i>
			<div class="content">
				<div class="header">
					<?php esc_html_e('Twitter', 'campoal') ?>
				</div>
				<div class="description">
					@<?php the_company_twitter(); ?>
				</div>
			</div>
		</div>

		<?php if ( $website = get_the_company_website() ) : ?>
			<div class="item">
				<i class="linkify icon"></i>
				<div class="content">
					<div class="header">
						<?php esc_html_e('Website', 'campoal' ) ?>
					</div>
					<div class="description">
						<a class="website" href="<?php echo esc_url( $website ); ?>" rel="nofollow"><?php echo esc_html( $website ); ?></a>
					</div>
				</div>
			</div>
		<?php endif; ?>

		<?php the_company_video(); ?>
	</div>
</div>
