<?php
/**
 * @package WordPress
 * @subpackage Campoal
 */

global $campoal_options;
global $post;
global $current_user;

$citation_instant_add = isset($campoal_options['conikal_citation_instant_add_field']) ? $campoal_options['conikal_citation_instant_add_field'] : 'none';
$receive_update = isset($campoal_options['conikal_receive_update_field']) ? $campoal_options['conikal_receive_update_field'] : 'checked';
$sign_anonymous = isset($campoal_options['conikal_sign_anonymous_field']) ? $campoal_options['conikal_sign_anonymous_field'] : 'checked';
$fb_login = isset($campoal_options['conikal_fb_login_field']) ? $campoal_options['conikal_fb_login_field'] : 0;
$fb_app_id = isset($campoal_options['conikal_fb_id_field']) ? $campoal_options['conikal_fb_id_field'] : '';
$google_login = isset($campoal_options['conikal_google_login_field']) ? $campoal_options['conikal_google_login_field'] : 0;
$google_client_id = isset($campoal_options['conikal_google_id_field']) ? $campoal_options['conikal_google_id_field'] : '';

$facebook_connection = get_user_meta($current_user->ID, 'facebook_connection', true);
$google_connection = get_user_meta($current_user->ID, 'google_connection', true);
$account_activation = get_user_meta($current_user->ID, 'is_activated', true); ?>

<div class="ui form">
    <?php if ($fb_login || $google_login) : ?>
        <?php if ($google_login && $google_client_id) : ?>
            <div class="ui secondary padded segment">
                <div class="ui small header">
                    <div class="content">
                        <?php echo esc_html($google_connection != '' ? __('Connected to Google', 'campoal') : __('Not connect to Google', 'campoal')) ?>
                        <i class="<?php echo esc_attr(empty($google_connection) ? 'unlink red' : 'linkify green') ?> icon"></i>
                        <div class="sub header font tiny">
                            <?php esc_html_e('Once you are connected to Google, you can sign in with your Google account for the next time. Click continue with Google to connect or disconnect your account.', 'campoal') ?>
                        </div>
                    </div>
                </div>
                <div class="field socialConnect">
                    <?php if (empty($google_connection)) : ?>
                        <div id="googleConnectButton"></div>
                    <?php else : ?>
                        <div id="googleDisconnectButton"></div>
                    <?php endif; ?>
                </div>
            </div>
            <!-- <button class="ui google plus large labeled icon fluid <?php echo esc_attr($google_connection != '' ? 'basic ' : '') ?>button socialConnect" id="googleSigninBtn">
                <i class="icon"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" width="16px" height="16px" viewBox="0 0 48 48" class="abcRioButtonSvg"><g><path fill="#EA4335" d="M24 9.5c3.54 0 6.71 1.22 9.21 3.6l6.85-6.85C35.9 2.38 30.47 0 24 0 14.62 0 6.51 5.38 2.56 13.22l7.98 6.19C12.43 13.72 17.74 9.5 24 9.5z"></path><path fill="#4285F4" d="M46.98 24.55c0-1.57-.15-3.09-.38-4.55H24v9.02h12.94c-.58 2.96-2.26 5.48-4.78 7.18l7.73 6c4.51-4.18 7.09-10.36 7.09-17.65z"></path><path fill="#FBBC05" d="M10.53 28.59c-.48-1.45-.76-2.99-.76-4.59s.27-3.14.76-4.59l-7.98-6.19C.92 16.46 0 20.12 0 24c0 3.88.92 7.54 2.56 10.78l7.97-6.19z"></path><path fill="#34A853" d="M24 48c6.48 0 11.93-2.13 15.89-5.81l-7.73-6c-2.15 1.45-4.92 2.3-8.16 2.3-6.26 0-11.57-4.22-13.47-9.91l-7.98 6.19C6.51 42.62 14.62 48 24 48z"></path><path fill="none" d="M0 0h48v48H0z"></path></g></svg></i>
                <?php echo esc_html($google_connection != '' ? __('Disconnect to Google', 'campoal') : __('Connect with Google', 'campoal')) ?>
            </button> -->
        <?php endif; ?>

        <?php if ($fb_login && $fb_app_id) : ?>
            <div class="ui secondary padded segment">
                <div class="ui small header">
                    <div class="content">
                        <?php echo esc_html($facebook_connection != '' ? __('Connected to Facebook', 'campoal') : __('Not connect to Facebook', 'campoal')) ?>
                        <i class="<?php echo esc_attr(empty($facebook_connection) ? 'unlink red' : 'linkify green') ?> icon"></i>
                        <div class="sub header font tiny">
                            <?php esc_html_e('Once you are connected to Facebook, you can sign in with your Facebook account for the next time. Click connect or disconnect with your Facebook account.', 'campoal') ?>
                        </div>
                    </div>
                </div>
                <div class="field">
                    <button class="ui labeled icon large circular <?php echo esc_attr($facebook_connection != '' ? 'facebook ' : 'basic ') ?>button signinFBText socialConnect" id="fbLoginBtn"><i class="facebook f icon"></i>
                    <?php echo esc_html($facebook_connection != '' ? __('Disconnect to Facebook', 'campoal') : __('Connect with Facebook', 'campoal')) ?></button>
                </div>
            </div>
        <?php endif; ?>

        <?php wp_nonce_field('signin_ajax_nonce', 'securitySignin', true); ?>
        <?php wp_referer_field(); ?>
    <?php endif; ?>
    <div class="field">
        <div class="ui message">
            <div id="fb-publish<?php echo esc_attr($post->ID) ?>" class="fb-publish ui toggle checkbox <?php echo esc_attr($current_user->fb_publish == 1 ? 'checked' : ''); ?>" data-id="<?php echo esc_attr($post->ID) ?>">
                <input type="checkbox" name="fb-publish" class="hidden" <?php echo esc_attr($current_user->fb_publish == 1 ? 'checked' : ''); ?>>
                <label><?php esc_html_e('Post on Facebook', 'campoal'); ?></label>
            </div>
        </div>
    </div>
    <?php if ($citation_instant_add != 'none') { ?>
        <div class="field">
            <div class="ui message sign-option">
                <div id="citation-instant<?php echo esc_attr($post->ID) ?>" class="citation-instant ui toggle checkbox <?php echo esc_attr(($citation_instant_add == 'checked' && $current_user->citation_instant == '') || $current_user->citation_instant != 0 ? 'checked' : ''); ?>"  data-id="<?php echo esc_attr($post->ID) ?>">
                    <input type="checkbox" name="citation-instant" <?php echo esc_attr(($citation_instant_add == 'checked' && $current_user->citation_instant == '') || $current_user->citation_instant != 0 ? 'checked' : ''); ?>>
                    <label><?php esc_html_e('Add citation instantly', 'campoal') ?></label>
                </div>
            </div>
        </div>
    <?php } ?>
    <?php if ($sign_anonymous != 'none') { ?>
    <div class="field">
        <div class="ui message">
            <div id="sign-anonymous<?php echo esc_attr($post->ID) ?>" class="sign-anonymous ui toggle checkbox <?php echo esc_attr(($sign_anonymous == 'checked' && $current_user->anonymous == '') || $current_user->anonymous != 0 ? 'checked' : ''); ?>" data-id="<?php echo esc_attr($post->ID) ?>">
                <input type="checkbox" name="sign-anonymous" <?php echo esc_attr(($sign_anonymous == 'checked' && $current_user->anonymous == '') || $current_user->anonymous != 0 ? 'checked' : ''); ?>>
                <label><?php esc_html_e('Display my name on the petitions', 'campoal') ?></label>
            </div>
        </div>
    </div>
    <?php } ?>
    <?php if ($receive_update != 'none') { ?>
    <div class="field">
        <div class="ui message">
            <div id="email-notice<?php echo esc_attr($post->ID) ?>" class="email-notice ui toggle checkbox <?php echo esc_attr(($receive_update == 'checked' && $current_user->notice == '') || $current_user->notice != 0 ? 'checked' : ''); ?>" data-id="<?php echo esc_attr($post->ID) ?>">
                <input type="checkbox" name="email-notice" <?php echo esc_attr(($receive_update == 'checked' && $current_user->notice == '') || $current_user->notice != 0 ? 'checked' : ''); ?>>
                <label><?php esc_html_e('Receive updates from the petitions', 'campoal'); ?></label>
            </div>
        </div>
    </div>
    <?php } ?>
    <div class="field">
        <div class="ui message">
            <div id="show-phone<?php echo esc_attr($post->ID) ?>" class="show-phone ui toggle checkbox <?php echo esc_attr($current_user->show_phone != 0 && !empty($current_user->show_phone) ? 'checked' : ''); ?>" data-id="<?php echo esc_attr($post->ID) ?>">
                <input type="checkbox" name="show-phone" <?php echo esc_attr($current_user->show_phone != 0 && !empty($current_user->show_phone) ? 'checked' : ''); ?>>
                <label><?php esc_html_e('Show my phone number on profile', 'campoal'); ?></label>
            </div>
        </div>
    </div>
    <div class="field">
        <div class="ui message">
            <div id="show-birthday<?php echo esc_attr($post->ID) ?>" class="show-birthday ui toggle checkbox <?php echo esc_attr($current_user->show_birthday != 0 && !empty($current_user->show_birthday) ? 'checked' : ''); ?>" data-id="<?php echo esc_attr($post->ID) ?>">
                <input type="checkbox" name="show-birthday" <?php echo esc_attr($current_user->show_birthday != 0 && !empty($current_user->show_birthday) ? 'checked' : ''); ?>>
                <label><?php esc_html_e('Show my birhtday on profile', 'campoal'); ?></label>
            </div>
        </div>
    </div>
    <div class="field">
        <div class="ui message">
            <div id="show-join-date<?php echo esc_attr($post->ID) ?>" class="show-join-date ui toggle checkbox <?php echo esc_attr($current_user->show_join_date != 0 && !empty($current_user->show_join_date) ? 'checked' : ''); ?>" data-id="<?php echo esc_attr($post->ID) ?>">
                <input type="checkbox" name="show-join-date" <?php echo esc_attr($current_user->show_join_date != 0 && !empty($current_user->show_join_date) ? 'checked' : ''); ?>>
                <label><?php esc_html_e('Show join date on profile', 'campoal'); ?></label>
            </div>
        </div>
    </div>
    <div class="field">
        <div class="ui message">
            <a href="#" id="delete-account-btn"><?php esc_html_e('Delete Account', 'campoal') ?></a>
        </div>
    </div>
</div>