<?php 
/**
 * @package WordPress
 * @subpackage Campoal
 */

global $campoal_options;
global $post;
global $current_user;

$prompt_action = isset($campoal_options['conikal_prompt_action_field']) ? $campoal_options['conikal_prompt_action_field'] : 1;
$sign_show_all = isset($campoal_options['conikal_sign_show_all_field']) ? $campoal_options['conikal_sign_show_all_field'] : 0;
$sign_victory = isset($campoal_options['conikal_sign_victory_field']) ? $campoal_options['conikal_sign_victory_field'] : 0;

$post_type = get_post_type($post->ID);
if ($post_type != 'petition') {
	$petition_id = get_post_meta($post->ID, $post_type . '_post_id', true);
} else {
	$petition_id = $post->ID;
}

$link = get_permalink($petition_id);
$supporter_number = conikal_get_supporter_donors_number($petition_id);
$goal = $supporter_number->goal;
$sign_num = $supporter_number->sign;
$status = get_post_meta($petition_id, 'petition_status', true);
/*
0 = Open
1 = Victory
2 = Closed
*/

// get petition citation status
$citation = conikal_citation_status($petition_id);

// get supporters
$sign = get_user_meta($current_user->ID, 'petition_sign', true);
$sign = $sign != '' ? $sign : array();
?>

<div class="ui sticky sign-sticky" id="sign-sticky<?php echo esc_attr($petition_id) ?>" data-id="<?php echo esc_attr($petition_id) ?>" data-init="0">
    <div class="ui basic vertical segment sign-section" id="sign-section">
        <?php get_template_part('templates/sign-share/progress'); ?>
        <div class="ui fifted divider"></div>
        <?php if ($sign_show_all) { get_template_part('templates/sign-share/donate', 'mobile'); } ?>
        <?php
            if(is_user_logged_in()) {
                if (in_array($petition_id, $sign) === false && (int)$sign_num < (int)$goal && (int)$status == 0) {
                    get_template_part('templates/sign-share/sign');
                } else {
                    get_template_part('templates/sign-share/share');
                }
            } else if ($sign_victory == 1) {
                get_template_part('templates/guest-sign');
            } else {
                if ((int)$sign_num < (int)$goal && (int)$status == 0) {
                    get_template_part('templates/guest-sign');
                } else {
                    get_template_part('templates/sign-share/share');
                }
            }
        
        wp_nonce_field('sign_ajax_nonce', 'securitySign' . $petition_id, true);
        wp_nonce_field('share_ajax_nonce', 'securityShare' . $petition_id, true); ?>
        <input type="hidden" id="petition_id<?php echo esc_attr($petition_id) ?>" value="<?php echo esc_attr($petition_id) ?>">
        <input type="hidden" id="petition_url<?php echo esc_attr($petition_id) ?>" value="<?php echo esc_attr($link) ?>">
    </div>
</div>

<!-- ACTION AFTER SIGN -->
<?php 
    // get action after sign template
    get_template_part('templates/action-after-sign');

    if ($citation) {
        // get modal submit citation
        get_template_part('templates/citation-modal');
    }
?>

<!-- PROMPT ACTION MODAL -->
<?php if ($prompt_action && in_array($petition_id, $sign) === false && (int)$sign_num < (int)$goal && (int)$status == 0) {
    $prompt_action_remind = isset($_COOKIE['conikal_prompt_action_remind']) ? $_COOKIE['conikal_prompt_action_remind'] : 0;
    if ($prompt_action_remind != 1) { 
        get_template_part('templates/prompt-action');
    }
} ?>