<?php 
/**
 * @package WordPress
 * @subpackage Campoal
 */

global $campoal_options;
global $post;
global $current_user;

//get theme options
$p_city = isset($campoal_options['conikal_p_city_field']) ? $campoal_options['conikal_p_city_field'] : 1;
$p_city_r = isset($campoal_options['conikal_p_city_r_field']) ? $campoal_options['conikal_p_city_r_field'] : 1;
$p_coordinates = isset($campoal_options['conikal_p_coordinates_field']) ? $campoal_options['conikal_p_coordinates_field'] : 1;
$p_coordinates_r = isset($campoal_options['conikal_p_coordinates_r_field']) ? $campoal_options['conikal_p_coordinates_r_field'] : 1;
$p_address = isset($campoal_options['conikal_p_address_field']) ? $campoal_options['conikal_p_address_field'] : 1;
$p_address_r = isset($campoal_options['conikal_p_address_r_field']) ? $campoal_options['conikal_p_address_r_field'] : 1;
$p_neighborhood = isset($campoal_options['conikal_p_neighborhood_field']) ? $campoal_options['conikal_p_neighborhood_field'] : 1;
$p_neighborhood_r = isset($campoal_options['conikal_p_neighborhood_r_field']) ? $campoal_options['conikal_p_neighborhood_r_field'] : 1;
$p_zip = isset($campoal_options['conikal_p_zip_field']) ? $campoal_options['conikal_p_zip_field'] : 1;
$p_zip_r = isset($campoal_options['conikal_p_zip_r_field']) ? $campoal_options['conikal_p_zip_r_field'] : 1;
$p_state = isset($campoal_options['conikal_p_state_field']) ? $campoal_options['conikal_p_state_field'] : 1;
$p_state_r = isset($campoal_options['conikal_p_state_r_field']) ? $campoal_options['conikal_p_state_r_field'] : 1;
$p_country = isset($campoal_options['conikal_p_country_field']) ? $campoal_options['conikal_p_country_field'] : 1;
$p_country_r = isset($campoal_options['conikal_p_country_r_field']) ? $campoal_options['conikal_p_country_r_field'] : 1;
$p_category_r = isset($campoal_options['conikal_p_category_r_field']) ? $campoal_options['conikal_p_category_r_field'] : 1;
$p_topics_r = isset($campoal_options['conikal_p_topics_r_field']) ? $campoal_options['conikal_p_topics_r_field'] : 1;
$maximum_category = isset($campoal_options['conikal_maximum_category_field']) ? $campoal_options['conikal_maximum_category_field'] : 1;
$recaptcha_submit_petition = isset($campoal_options['conikal_google_recaptcha_submit_petition_field']) ? $campoal_options['conikal_google_recaptcha_submit_petition_field'] : 1;
$editor_style = isset($campoal_options['conikal_editor_style_field']) ? $campoal_options['conikal_editor_style_field'] : 'markdown';
$button_labels_selection = isset($campoal_options['conikal_button_labels_field']) ? $campoal_options['conikal_button_labels_field'] : '';
$p_media_upload = isset($campoal_options['conikal_p_media_upload_field']) ? $campoal_options['conikal_p_media_upload_field'] : 1;

// Does the user want category?
$enable_category = give_is_setting_enabled( give_get_option( 'categories', 'disabled' ) );

// Does the user want tag?
$enable_tag = give_is_setting_enabled( give_get_option( 'tags', 'disabled' ) );

// get category object
if ( $enable_category ) {
    $cat_taxonomies = array('give_forms_category');
    $cat_args = array(
        'orderby'           => 'name', 
        'order'             => 'ASC',
        'hide_empty'        => false
    );
    $cat_terms = get_terms($cat_taxonomies, $cat_args);
}

if ($enable_tag) {
    // get topcis object
    $type_taxonomies = array('give_forms_tag');
    $type_args = array(
        'orderby'           => 'name', 
        'order'             => 'ASC',
        'hide_empty'        => false
    );
    $type_terms = get_terms($type_taxonomies, $type_args);
}

$goal_format_selection = array('amount' => esc_html__('Amount', 'campoal'), 'percentage' => esc_html__('Percentage', 'campoal'));
$close_form_selection = array('enabled' => esc_html__('Enable', 'campoal'), 'disabled' => esc_html__('Disable', 'campoal'));

// get currency format
$currency_position = give_get_option( 'currency_position', 'before' );
$currency_symbol = give_currency_symbol();

// get location of user by GeoIp
$geoip_info = function_exists('conikal_client_geoip_info') ? conikal_client_geoip_info() : false;
?>


        <div class="ui center aligned header submit-petition-title">
            <div class="content">
                <?php the_title() ?>
            </div>
        </div>
        <!-- STEP BY STEP TITLE -->
        <div class="ui centered left aligned grid tablet computer only"> 
            <div class="sixteen wide mobile sixteen wide tablet twelve wide computer column">
                <div class="ui four top ordered steps">
                    <div class="active step" id="step-one">
                        <div class="content">
                          <a href="#" class="title" data-tab="step-one"><?php esc_html_e('Title', 'campoal') ?></a>
                        </div>
                    </div>
                    <div class="disabled step" id="step-two">
                        <div class="content">
                          <a href="#" class="title" data-tab="step-two"><?php esc_html_e('Perks', 'campoal') ?></a>
                        </div>
                    </div>
                    <div class="disabled step" id="step-three">
                        <div class="content">
                          <a href="#" class="title" data-tab="step-three"><?php esc_html_e('Overview', 'campoal') ?></a>
                        </div>
                    </div>
                    <div class="disabled step" id="step-four">
                        <div class="content">
                          <a href="#" class="title" data-tab="step-four"><?php esc_html_e('Image', 'campoal') ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- STEP BY STEP CONTENT -->
        <div class="ui centered left aligned grid">
            <div class="sixteen wide mobile fourteen wide tablet ten wide computer column">
                <div id="save-response" class="respon-message"></div>
                <form class="ui form submit-contribute">
                    <?php wp_nonce_field('submit_contribute_ajax_nonce', 'securitySubmitContribute', true); ?>
                    <input type="hidden" id="form_id" name="form_id" value="">
                    <input type="hidden" id="petition_id" name="petition_id" value="">
                    
                    <!-- STEP ONE -->
                    <div class="ui active tab step-one" data-tab="step-one">
                        <h2 class="ui header">
                            <div class="content">
                                <?php esc_html_e('Write your campaign title', 'campoal') ?>
                                <div class="sub header">
                                    <?php esc_html_e('Make a good first impression, introduce your campaign objectives and entice people to learn more. This basic information will represent your campaign on your campaign page.', 'campoal') ?>
                                </div>
                            </div>
                        </h2>
                        <div class="required field">
                            <label><?php esc_html_e('Title', 'campoal') ?></label>
                            <div class="ui large fluid input">
                                <input type="text" id="give_title" name="give_title" placeholder="<?php esc_attr_e('What do you bring for life?', 'campoal'); ?>" value="" required>
                            </div>
                        </div>
                        <?php if ($enable_category) { ?>
                            <div class="<?php echo esc_attr($p_category_r == 1 ? 'required ' : '') ?>field">
                                <label><?php esc_html_e('Category', 'campoal') ?></label>                        
                                <select class="ui dropdown large fluid input category-select" name="new_category" id="new_category"<?php echo esc_attr($maximum_category > 1 ? ' multiple' : '') ?><?php echo esc_attr($p_category_r == 1 ? ' required' : '') ?>>
                                    <option value=""><?php esc_html_e('Select a category', 'campoal') ?></option>
                                    <?php foreach ($cat_terms as $cat_term) { ?>
                                        <option value="<?php echo esc_attr($cat_term->term_id); ?>"><?php echo esc_html($cat_term->name); ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        <?php } ?>

                        <?php if($p_address != '' && $p_address == 1) { ?>
                            <div class="<?php echo esc_attr($p_address_r == 1 ? 'required ' : '') ?>field">
                                <label><?php esc_html_e('Add a place', 'campoal') ?></label>
                                <div class="ui large fluid input">
                                    <input type="text" id="new_address" name="new_address" value="" placeholder="<?php esc_attr_e('Add a neighborhood, state, city or country', 'campoal'); ?>" value=""<?php echo esc_attr($p_address_r == 1 ? ' required' : '') ?>>
                                </div>
                            </div>

                            <?php if($p_city != '' && $p_city == 1) { ?>
                                <input type="hidden" id="new_city" name="new_city" value="<?php echo esc_attr($geoip_info ? $geoip_info->city->name : '') ?>">
                            <?php } ?>
                            <?php if($p_state != '' && $p_state == 1) { ?>
                                <input type="hidden" id="new_state" name="new_state" value="<?php echo esc_attr($geoip_info ? $geoip_info->mostSpecificSubdivision->name : '') ?>">
                            <?php } ?>
                            <?php if($p_neighborhood != '' && $p_neighborhood == 1) { ?>
                                <input type="hidden" id="new_neighborhood" name="new_neighborhood" value="">
                            <?php } ?>
                            <?php if($p_country != '' && $p_country == 1) { ?>
                                <input type="hidden" id="new_country" name="new_country" value="<?php echo esc_attr($geoip_info ? $geoip_info->country->isoCode : '') ?>">
                            <?php } ?>
                            <?php if($p_zip != '' && $p_zip == 1) { ?>
                                <input type="hidden" id="new_zip" name="new_zip" value="">
                            <?php } ?>
                            <?php if($p_coordinates != '' && $p_coordinates == 1) { ?>
                                <input type="hidden" id="new_lat" name="new_lat" value="<?php echo esc_attr($geoip_info ? $geoip_info->location->latitude : '') ?>">
                                <input type="hidden" id="new_lng" name="new_lng" value="<?php echo esc_attr($geoip_info ? $geoip_info->location->longitude : '') ?>">
                            <?php } ?>
                        <?php } ?>

                        <div class="two fields">
                            <div class="required field">
                                <label><?php esc_html_e('Goal', 'campoal') ?></label>
                                <div class="ui <?php echo esc_attr($currency_position == 'after' ? 'right' : 'left') ?> labeled large input">
                                    <?php if ($currency_position == 'before') { ?>
                                        <label for="set_goal" class="ui label"><?php echo esc_html($currency_symbol) ?></label>
                                    <?php } ?>
                                        <input type="number" placeholder="<?php esc_attr_e('Amount of Goal', 'campoal') ?>" name="set_goal" id="set_goal" value="" required>
                                    <?php if ($currency_position == 'after') { ?>
                                        <label for="set_goal" class="ui label"><?php echo esc_html($currency_symbol) ?></label>
                                    <?php } ?>
                                </div>
                            </div>
                            <div class="field">
                                <label><?php esc_html_e('Goal format', 'campoal') ?></label>
                                <select class="ui dropdown large fluid input" name="goal_format" id="goal_format">
                                    <?php foreach ($goal_format_selection as $key => $format) { ?>
                                        <option value="<?php echo esc_attr($key) ?>"><?php  echo esc_html($format) ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>

                        <div class="ui hidden divider"></div>

                        <div class="ui accordion">
                            <div class="title">
                                <h3 class="ui header">
                                <i class="dropdown icon"></i>
                                <?php esc_html_e('How to write effective crowdfunding titles?', 'campoal') ?>
                                </h3>
                            </div>
                            <div class="content">
                                <div class="ui large bulleted list">
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Ideal Title length : 7.5 words', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Highly successful campaigns deviate little from the mean length of 7.5 words. On the other hand, bad campaigns often have extremely short titles or very long ones.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Action verbs push supporters to action', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('74% are using an action verb right away, such as “Help me”, “Send”, “Get”, “Join”, “Rowing”, “Striking”, “Slide”, etc. Only 21% of unsuccessful campaigns use a verb.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Mention who is involved!', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('68 percent of successful campaigns reference the athlete or the team, using either “me”, “my”, “us” or directly the name of the athlete. Unsuccessful campaigns only reference the athlete in 17.5 percent of cases.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- STEP TWO -->
                    <div class="ui tab step-two" data-tab="step-two">
                        <h2 class="ui header">
                            <div class="content">
                                <?php esc_html_e('Create the contribute perks', 'campoal') ?>
                                <div class="sub header">
                                    <?php esc_html_e('Perks are incentives offered to backers in exchange for their support. You may edit your perk details until the perk is claimed.', 'campoal') ?>
                                </div>
                            </div>
                        </h2>
                        <div class="input-fields-wrap" id="new-donate-level">
                            <div class="ui grid search">
                                <div class="sixteen wide mobile eight wide tablet eight wide computer column">
                                    <div class="required field">
                                        <label><?php esc_html_e('Amount', 'campoal') ?></label>
                                        <div class="ui large fluid <?php echo esc_attr($currency_position == 'after' ? 'right' : 'left') ?> labeled input">
                                            <?php if ($currency_position == 'before') { ?>
                                               <label for="amount_level" class="ui label"><?php echo esc_html($currency_symbol) ?></label>
                                            <?php } ?>
                                                <input type="number" id="amount_level" name="amount_level[]" placeholder="<?php esc_attr_e('Amount of level', 'campoal'); ?>" value="" required>
                                            <?php if ($currency_position == 'after') { ?>
                                                <label for="amount_level" class="ui label"><?php echo esc_html($currency_symbol) ?></label>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="sixteen wide mobile eight wide tablet eight wide computer column">
                                    <div class="required field">
                                        <?php if (!wp_is_mobile()) { ?>
                                            <label><?php esc_html_e('Title', 'campoal') ?></label>
                                        <?php } ?>
                                        <div class="ui large fluid input">
                                            <input type="text" id="name_level" name="name_level[]" placeholder="<?php esc_attr_e('Level name', 'campoal'); ?>" value="" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="sixteen wide column field">
                                    <label><?php esc_html_e('Description', 'campoal') ?></label>
                                    <textarea name="description_level[]" id="description_level" placeholder="<?php esc_attr_e('Description of level', 'campoal'); ?>" rows="3"><?php echo esc_textarea(isset($donation_levels[0]['_give_description']) ? $donation_levels[0]['_give_description'] : ''); ?></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="ui vertical basic segment">
                            <button class="ui primary tiny right floated button add-level-button"><i class="plus icon"></i><?php esc_html_e('Add', 'campoal') ?></button>
                        </div>

                        <div class="required field">
                            <label><?php esc_html_e('Minimum', 'campoal') ?></label>
                            <div class="ui <?php echo esc_attr($currency_position == 'after' ? 'right' : 'left') ?> labeled large input">
                                <?php if ($currency_position == 'before') { ?>
                                    <label for="custom_amount_minimum" class="ui label"><?php echo esc_html($currency_symbol) ?></label>
                                <?php } ?>
                                  <input type="number" placeholder="<?php esc_attr_e('Amount of minimum', 'campoal') ?>" name="custom_amount_minimum" id="custom_amount_minimum" value="1" required>
                                <?php if ($currency_position == 'after') { ?>
                                    <label for="custom_amount_minimum" class="ui label"><?php echo esc_html($currency_symbol) ?></label>
                                <?php } ?>
                            </div>
                        </div>

                        <div class="two fields">
                            <div class="field">
                                <label><?php esc_html_e('Button label', 'campoal') ?></label>
                                <select class="ui dropdown large fluid input" name="button_label" id="button_label">
                                    <?php if ($button_labels_selection) {
                                    foreach ($button_labels_selection as $label) { ?>
                                        <option value="<?php echo esc_attr($label) ?>"><?php echo esc_html($label) ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </div>
                            <div class="field">
                                <label><?php esc_html_e('Close when met goal', 'campoal') ?></label>
                                <select class="ui dropdown large fluid input" name="close_form_when_goal_achieved" id="close_form_when_goal_achieved">
                                    <?php foreach ($close_form_selection as $key => $option) { ?>
                                        <option value="<?php echo esc_attr($key) ?>"><?php echo esc_html($option) ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>

                        <div class="ui hidden divider"></div>

                        <div class="ui accordion">
                            <div class="title">
                                <h3 class="ui header">
                                <i class="dropdown icon"></i>
                                <?php esc_html_e('How to create a great contribute perks?', 'campoal') ?>
                                </h3>
                            </div>
                            <div class="content">
                                <div class="ui large bulleted list">
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Set the right price for perk', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('This amount should represent how much you want to receive for all the items included in this perk.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Write a clear title for perk', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Create a title that best describes the contents of what this perk is offering.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Items are you offering to backers who claim this perk', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Items could be physical, digital, experiences, or even just a thank you. You can specify how many you are offering in this perk..', 'campoal') ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- STEP THREE -->
                    <div class="ui tab step-three" data-tab="step-three">
                        <h2 class="ui header">
                            <div class="content">
                                <?php esc_html_e('Tell your campaign story', 'campoal') ?>
                                <div class="sub header">
                                    <?php esc_html_e('Tell potential contributors more about your campaign. Provide details that will motivate people to contribute. A good pitch is compelling, informative, and easy to digest.', 'campoal') ?>
                                </div>
                            </div>
                        </h2>

                        <div class="required field">
                            <label><?php esc_html_e('Content or Tips', 'campoal') ?></label>
                            <div id="isDesc">
                            <?php 
                            $html_content = isset($form_content) ? $form_content : esc_html__('Within an hour, this petition could have thousands more supporters if everyone chipped in the price of a coffee. Can you help reach this petition’s signature goal?', 'campoal');
                            if ($editor_style == 'classic') {
                                $settings = array(
                                    'media_buttons'         => $p_media_upload,
                                    'textarea_rows'         => 10,
                                    'drag_drop_upload'      => true,
                                    'quicktags'             => false,
                                    'dfw'                   => true,
                                    'tinymce'               => true,
                                );
                                wp_editor($html_content, 'form_content', $settings);
                            } else { ?>
                                <textarea id="form_content" name="form_content" required></textarea>
                            <?php } ?>
                            </div>
                        </div>

                        <?php if($enable_tag) { ?>
                        <div class="<?php echo esc_attr($p_topics_r == 1 ? 'required ' : '') ?>field">
                            <label><?php esc_html_e('Add tags', 'campoal') ?></label>
                            <div class="ui fluid multiple search selection large dropdown" id="give-tags-search">
                                <input name="new_tags" id="new_tags" type="hidden"<?php echo esc_attr($p_topics_r == 1 ? ' required' : '') ?>>
                                <i class="dropdown icon"></i>
                                <div class="default text"><?php esc_html_e('Keywords related this crowdfunding', 'campoal') ?></div>
                                <div class="menu">
                                </div>
                            </div>
                        </div>
                        <?php } ?>

                        <div class="required field">
                            <label><?php esc_html_e('Goal Achieved Message', 'campoal') ?></label>
                            <textarea name="goal_achieved_message" id="goal_achieved_message" rows="3" maxlength="300" required><?php echo esc_textarea(__('Thank you to all our donors, we have met our fundraising goal.', 'campoal')) ?></textarea>
                        </div>

                        <div class="ui hidden divider"></div>

                        <div class="ui accordion">
                            <div class="title">
                                <h3 class="ui header">
                                <i class="dropdown icon"></i>
                                <?php esc_html_e('How to write a captivating crowdfunding description?', 'campoal') ?>
                                </h3>
                            </div>
                            <div class="content">
                                <div class="ui large bulleted list">
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Write 300-700 words', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('The best crowdfunding campaigns are the ones that fully explain the fundraiser and provide specific details.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Tell your story within your crowdfunding description', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Inspirational stories captivate people. Tales of overcoming adversity, discovering a passion, or pursuing a dream can drive people to make emotionally-driven donations.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Provide links to your blog or website', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Instead of posting lengthy paragraphs that might dissuade some would-be supporters, make your main points within your description and include a link to your blog or website.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- STEP FOUR -->
                    <div class="ui tab step-four" data-tab="step-four">
                        <h2 class="ui header">
                            <div class="content">
                                <?php esc_html_e('Pitch video or image', 'campoal') ?>
                                <div class="sub header">
                                    <?php esc_html_e('Add a video or image to appear on the top of your campaign page. Campaigns with videos raise 2000% more than campaigns without videos. Keep your video 2-3 minutes..', 'campoal') ?>
                                </div>
                            </div>
                        </h2>
                        <?php get_template_part('templates/gallery-upload'); ?>

                        <div class="ui hidden divider"></div>

                        <div class="ui accordion">
                            <div class="title">
                                <h3 class="ui header">
                                <i class="dropdown icon"></i>
                                <?php esc_html_e('How to make a great project image?', 'campoal') ?>
                                </h3>
                            </div>
                            <div class="content">
                                <div class="ui large bulleted list">
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Let your personality shine', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Use your main project image to brand your project and make it stand out. Be sure to give it life and make it representative of you and what you are creating.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Show your backers what they’ll get', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Showing people what they will be helping you create is inspiring and motivating!', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Keep it simple', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('While it might be tempting to add banners, badges or extra text to your project image, we recommend avoiding it. Negative space is more attractive to the eye than a cluttered image.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                    <div class="item">
                                        <div class="content">
                                            <div class="header"><?php esc_html_e('Create a short video', 'campoal') ?></div>
                                            <div class="description"><?php esc_html_e('Numerous studies show that people are increasingly preferring short, quality videos over text.', 'campoal') ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php if (conikal_show_google_reCaptcha() && $recaptcha_submit_petition == 1) { ?>
                            <p>
                                <?php get_template_part('templates/google', 'recaptcha'); ?>
                            </p>
                        <?php } ?>
                    </div>
                </form>
                <div class="ui hidden divider"></div>
                <div class="ui grid">
                    <div class="eight wide left aligned column">
                        <button class="ui left labeled icon large button display none" id="back-one"><i class="arrow left icon"></i><?php esc_html_e('Back', 'campoal') ?></button>
                        <button class="ui left labeled icon large button display none" id="back-two"><i class="arrow left icon"></i><?php esc_html_e('Back', 'campoal') ?></button>
                        <button class="ui left labeled icon large button display none" id="back-three"><i class="arrow left icon"></i><?php esc_html_e('Back', 'campoal') ?></button>
                    </div>
                    <div class="eight wide right aligned column">
                        <button class="ui primary right labeled icon large button" id="next-two"><?php esc_html_e('Next', 'campoal') ?><i class="arrow right icon"></i></button>
                        <button class="ui primary right labeled icon large button display none" id="next-three"><?php esc_html_e('Next', 'campoal') ?><i class="arrow right icon"></i></button>
                        <button class="ui primary right labeled icon large button display none" id="next-four"><?php esc_html_e('Next', 'campoal') ?><i class="arrow right icon"></i></button>
                        <button class="ui primary right labeled icon large button display none" id="submit-contribute"><?php esc_html_e('Finish', 'campoal') ?><i class="paper plane icon"></i></button>
                    </div>
                </div>
                <div class="ui hidden section divider"></div>
            </div>
        </div>