<?php
/**
 * @package WordPress
 * @subpackage Campoal
 */
	
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();
?>
<div class="ui section hidden divider"></div>
<div class="ui huge centered header">
	<div class="content">
		<?php esc_html_e('No products in the cart.', 'campoal') ?>
		<div class="sub header">
			<?php do_action('woocommerce_cart_is_empty'); ?>
		</div>
	</div>
</div>
<div class="ui section hidden divider"></div>

<?php if ( wc_get_page_id( 'shop' ) > 0 ) : ?>
	<div class="aligncenter">
		<div class="ui large image">
			<?php get_template_part('templates/svg/empty-cart'); ?>
		</div>
		<div class="ui section hidden divider"></div>
		<a class="ui labeled icon circular primary button" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
			<i class="shopping cart icon"></i><?php esc_html_e( 'Go To Shop', 'campoal' ) ?>
		</a>
	</div>
<?php endif; ?>
