<?php
/**
 * My Account page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/my-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * My Account navigation.
 *
 * @since 2.6.0
 */

?>
<?php if (function_exists('conikal_register_petition_type')) : ?>
    <?php if (is_wc_endpoint_url('orders') || is_wc_endpoint_url('downloads') || is_wc_endpoint_url('view-order')) { ?>
    <div id="wrapper" class="wrapper petition">
        <?php 
        if (!wp_is_mobile()) {
            get_template_part('templates/dashboard-menu');
        }
        ?>
        <div class="ui grid" id="dashboard-content">
            <div class="sixteen wide mobile sixteen wide computer column">
                <div class="ui raised padded segment woocommerce-MyAccount-content">
                    <?php
                        /**
                         * My Account content.
                         *
                         * @since 2.6.0
                         */
                        do_action( 'woocommerce_account_content' );
                    ?>
                </div>
            </div>
        </div>
    </div>
    <?php } else { ?>
    <div class="wrapper profile">
        <div class="ui container">
            <?php conikal_petition_breadcrumbs(); ?>
            <div class="page content">
                <div class="ui grid">
                    <?php do_action( 'woocommerce_account_navigation' ); ?>
                    <div class="sixteen wide mobile eleven wide tablet eight wide computer column">
                        <div class="woocommerce-MyAccount-content">
                            <?php
                                /**
                                 * My Account content.
                                 *
                                 * @since 2.6.0
                                 */
                                do_action( 'woocommerce_account_content' );
                            ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php } ?>
<?php else : ?>
    <div class="ui grid">
        <?php do_action( 'woocommerce_account_navigation' ); ?>
        <div class="sixteen wide mobile eleven wide tablet twelve wide computer column">
            <div class="woocommerce-MyAccount-content">
                <?php
                    /**
                     * My Account content.
                     *
                     * @since 2.6.0
                     */
                    do_action( 'woocommerce_account_content' );
                ?>
            </div>
        </div>
    </div>
<?php endif; ?>
