<?php
/**
 * My Account navigation
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/navigation.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>
<?php do_action( 'woocommerce_before_account_navigation' ); ?>
<?php if (function_exists('conikal_register_petition_type')) : ?>
    <div class="sixteen wide mobile five wide tablet four wide computer column">
        <?php 
            // Profile menu section
            get_template_part('templates/profile/profile-menu');
        ?>
    </div>
<?php else : ?>
    <div class="sixteen wide mobile five wide tablet four wide computer column">
        <div class="ui vertical secondary fluid large menu woocommerce-MyAccount-navigation" id="myaccount-navigation">
            <?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) : ?>
                <a class="item <?php echo wc_get_account_menu_item_classes( $endpoint ); ?>" href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>">
                    <?php echo esc_html( $label ); ?>
                </a>
            <?php endforeach; ?>
        </div>
    </div>
<?php endif; ?>
<?php do_action( 'woocommerce_after_account_navigation' ); ?>